ChartDirector Ver 5.0 (PHP Edition)

SurfaceChart.setViewAngle

Usage

setViewAngle(elevation [, rotation [, twist ]])

Description

Sets the 3D view angles.
ChartDirector uses elevation, rotation and twist angles to specify the 3D view angles.
To explain the meaning of the angles, imagine the object being viewed is put at the center of a hollow sphere, and a camera (the view point) is put at the surface of the sphere, directed inwards to the center to look at the object.
The elevation angle refers to the "latitude" of the camera. An elevation angle of 0 degrees means the camera is at the "equator" pointing to the object from the side. An elevation angle of 90 degrees means the camera is at the "north pole" pointing down to the object. An angle elevation of -90 degrees means the camera is at the "south pole", pointing up to the object.
The rotation angle refers to the "longitude" of the camera. If the elevation is 0 degrees, and the rotation angle varies from 0 to 360 degrees, the camera will move around the "equator" in the easterly direction (counter-clockwise when viewed from the north pole).
The twist angle is for rotating the camera itself while still pointing to the object. For example, a twist angle of 90 degrees means you are holder the camera "vertically" instead of "horizontally". The rotation is clockwise from the view point of the person holding the camera.
Note that from the view point of the camera, the object will appear to be rotating in the opposite direction. For example, as the rotation angle rotates the camera counter-clockwise along the "equator", the object will appear to be rotating clockwise on the screen.

Arguments

Argument | Default | Description
--- | --- | ---
elevation | (Mandatory) | The elevation angle in degrees.
rotation | 0 | The rotation angle in degrees.
twist | 0 | The twist angle in degrees.

Return Value

None

© 2009 Advanced Software Engineering Limited. All rights reserved.